Вики IT-KB

Пошаговые руководства, шпаргалки, полезные ссылки...

Инструменты пользователя

Инструменты сайта


vocord:vocord-phobos-sql-server-upgrade-to-2008-r2-sp3-version

Различия

Показаны различия между двумя версиями страницы.

Ссылка на это сравнение

Предыдущая версия справа и слева Предыдущая версия
Следующая версия
Предыдущая версия
vocord:vocord-phobos-sql-server-upgrade-to-2008-r2-sp3-version [03.06.2016 15:39]
Алексей Максимов
vocord:vocord-phobos-sql-server-upgrade-to-2008-r2-sp3-version [05.06.2016 09:09] (текущий)
Алексей Максимов
Строка 1: Строка 1:
-===== Обновление экземпляра Microsoft SQL Server серверной части ПО Vocord PHOBOS до уровня SQL Server 2008 R2 SP2 Express Edition 32-bits =====+===== Обновление экземпляра Microsoft SQL Server серверной части ПО Vocord PHOBOS до уровня SQL Server 2008 R2 Express Edition Service Pack 3 (32-bits=====
  
 Если вы используете устаревшие платы аудиозаписи, такие как **Phobos A4**/**A8**/**D4**/**D8**, то уже наверняка знаете, что производитель плат не предоставляет драйверов для этих плат под **64-битную** платформу Windows. Это накладывает свои ограничения на максимально возможный уровень обновления серверных систем с ПО **Vocord PHOBOS**, так как выпуск **32-битных** серверных ОС Windows был прекращён начиная с версии **Windows Server 2008**. Таким образом, максимальный уровень обновления серверных систем с ПО **Vocord PHOBOS** - это уровень **Windows Server 2008 32-bits Service Pack 2**.  Если вы используете устаревшие платы аудиозаписи, такие как **Phobos A4**/**A8**/**D4**/**D8**, то уже наверняка знаете, что производитель плат не предоставляет драйверов для этих плат под **64-битную** платформу Windows. Это накладывает свои ограничения на максимально возможный уровень обновления серверных систем с ПО **Vocord PHOBOS**, так как выпуск **32-битных** серверных ОС Windows был прекращён начиная с версии **Windows Server 2008**. Таким образом, максимальный уровень обновления серверных систем с ПО **Vocord PHOBOS** - это уровень **Windows Server 2008 32-bits Service Pack 2**. 
Строка 11: Строка 11:
 Учитывая наш опыт эксплуатации ПО **Vocord PHOBOS** можно сказать, что сервер аудиозаписи с этим ПО вполне можно обновить до приемлемого, с точки зрения безопасности, на сегодняшний день уровня: Учитывая наш опыт эксплуатации ПО **Vocord PHOBOS** можно сказать, что сервер аудиозаписи с этим ПО вполне можно обновить до приемлемого, с точки зрения безопасности, на сегодняшний день уровня:
   * Операционная система **Microsoft Windows Server 2008 32-bits Service Pack 2**   * Операционная система **Microsoft Windows Server 2008 32-bits Service Pack 2**
-  * СУБД **Microsoft SQL Server 2008 R2 Express Edition 32-bits Service Pack 2**+  * СУБД **Microsoft SQL Server 2008 R2 Express Edition 32-bits Service Pack 3**
  
-В рамках данной статьи мы дадим ряд комментариев, которые нужно учитывать в процессе обновления экземпляра **Microsoft SQL Server** серверной части ПО **Vocord PHOBOS** до уровня **SQL Server 2008 R2 SP2 Express Edition 32-bits**.+В рамках данной статьи мы дадим ряд комментариев, которые нужно учитывать в процессе обновления экземпляра **Microsoft SQL Server** серверной части ПО **Vocord PHOBOS** до уровня **SQL Server 2008 R2 SP3 Express Edition 32-bits**.
  
 Для начала проверим версию **Phobos Server**, для этого запустим:  Для начала проверим версию **Phobos Server**, для этого запустим: 
 <code>C:\Program Files\Vocord Telecom\Phobos System\PhobosVer.exe</code> <code>C:\Program Files\Vocord Telecom\Phobos System\PhobosVer.exe</code>
  
-Желательно иметь версию **2.2.15.225**.+Желательно иметь версию не ниже **2.2.15.225**.
  
-{{:vocord:pasted:20160603-153750.png}}+{{ :vocord:pasted:20160603-154052.png }}
  
 +Для поиска и загрузки новых версий ПО **Vocord PHOBOS** можно использовать публичный FTP сервер компании Вокорд:
  
 +ftp://ftp.vocord.ru/priv/nick/ASO/demin/Phobos/
  
 +<WRAP center tip>
 +Начиная с версии **2.2.16.260** требуется **.Net Framework 4.5**. Но если вы используете платы перечисленные в начале этой статьи, то в установке более новой версии, чем **2.2.15.225** смысла нет, так как новые версию лишь добавлены компоненты для новых устройств Вокорд, которых у вас нет.
 +</WRAP>
 +
 +
 +Дистрибутив версии **Vocord PHOBOS 2.2.15** можно найти в [[ftp://ftp.vocord.ru/priv/nick/ASO/demin/Phobos/Archive/|Архиве]]
 +
 +
 +<WRAP center alert>
 +Наличие версии **Vocord PHOBOS** не ниже **2.2.15** - это важный момент, так как на старых версиях сервера были замечены проблемы совместимости с **Microsoft SQL Server 2008**.
 +</WRAP>
 +
 +
 +Если у вас используется версия более старая, чем **2.2.15**, выполните её обновление:
 +
 +  - 1. Удалите текущую версию клиента и сервера;
 +  - 2. Установите более новую версию без пересоздания базы данных.
 +
 +После того, как **Vocord PHOBOS** приведён к версии **2.2.15**, можно выполнить обновление экземпляра **SQL Server**.
 +
 +Загружаем дистрибутив [[https://www.microsoft.com/en-us/download/details.aspx?id=30438|Microsoft SQL Server 2008 R2 SP2 - Express Edition]]
 +
 +Останавливаем службы **Phobos** командой:
 +
 +<code>net stop PhNotifyServ && net stop vtjeserver</code>
 +
 +{{ :vocord:pasted:20160603-155259.png }}
 +
 +Запускаем установщик **SQL Server 2008 R2 SP2 Express Edition** и выбираем обновление:
 +
 +{{ :vocord:pasted:20160603-160008.png }}
      
 +Процесс обновления сложностей вызвать не должен. Несколько раз нажимаем "Далее" и готово. По окончании процесса - перезагрузка сервера.
 +
 +<WRAP center important>
 +После перезапуска первым делом нужно убедиться в том, что база данных **PH** работает в режиме совместимости **SQL Server 2005**.
 +</WRAP>
 +
 +{{ :vocord:pasted:20160603-160943.png }}
 +
 +После этого проверяем работоспособность системы, выполняя базовые операции:
 + 
 +  * Подключение клиентом **Phobos** к серверу
 +  * Создание/изменение/удаление пользователя на сервере **Phobos**
 +  * Появление новых записей переговоров
 +  * Прослушивание записей
 +  * Экспорт записей.
 +
 +После того, как всё проверено и работоспособность ПО **Vocord PHOBOS** подтверждена, необходимо будет дополнительно обновить экземпляр  **SQL Server 2008 R2 SP2 Express Edition** до уровня **Service Pack 3 (SP3)**. Вы можете загрузить  отдельный пакет обновления [[https://www.microsoft.com/en-us/download/details.aspx?id=44271|Microsoft SQL Server 2008 R2 Service Pack 3]] и выполнить его установку:
 +
 +{{ :vocord:pasted:20160603-162817.png }}
 +
 +Разумеется после этого обновления также желательно проверить работоспособность системы **Phobos**, выполняя ранее перечисленные базовые операции.
 +
 +На этом всё.\\ 
 +Удачных обновлений!
 +
 +----
 +
 +{{:user:blogroot.png?50&nolink |}} Автор первичной редакции:\\ [[user:blogroot|Алексей Максимов]] \\ Время публикации: 03.06.2016 15:04
 +
 +{{tag>Vocord Phobos A4 A8 D4 D8 Microsoft "SQL Server" "SQL Server 2008" "SQL Express" "Windows Server" "Windows Server 2008" "Service Pack" Upgrade}}
 +
 +~~DISCUSSION~~

vocord/vocord-phobos-sql-server-upgrade-to-2008-r2-sp3-version.1464957570.txt.gz · Последнее изменение: 03.06.2016 15:39 — Алексей Максимов